Skip Menu |
 

This queue is for tickets about the CPANPLUS CPAN distribution.

Report information
The Basics
Id: 59618
Status: new
Priority: 0/
Queue: CPANPLUS

People
Owner: Nobody in particular
Requestors: softdev [...] leandrohermida.com
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 0.9007
Fixed in: (no value)



Subject: CPANPLUS::Internals::Source::SQLite cannot load, missing DBIx::Simple
Hi, With the newest CPANPLUS 0.9007 and everything updated (s selfupdate all) I then change my source engine to CPANPLUS::Internals::Source::SQLite and save configuration (s conf source_engine CPANPLUS::Internals::Source::SQLite; s save) When you restart cpanp you get: [hermida@rubicon ~]$ cpanp Can't locate DBIx/Simple.pm in @INC (@INC contains: /home/hermida/soft/perl/5.12.1/lib/site_perl/5.12.1/x86_64-linux-thread-multi /home/hermida/soft/perl/5.12.1/lib/site_perl/5.12.1 /home/hermida/soft/perl/5.12.1/lib/5.12.1/x86_64-linux-thread-multi /home/hermida/soft/perl/5.12.1/lib/5.12.1 .) at /home/hermida/soft/perl/5.12.1/lib/5.12.1/CPANPLUS/Internals/Source/SQLite.pm line 13. BEGIN failed--compilation aborted at /home/hermida/soft/perl/5.12.1/lib/5.12.1/CPANPLUS/Internals/Source/SQLite.pm line 13. Compilation failed in require at /home/hermida/soft/perl/5.12.1/lib/5.12.1/Module/Load.pm line 27. Can't locate CPANPLUS/Internals/Source/SQLite in @INC (@INC contains: /home/hermida/soft/perl/5.12.1/lib/site_perl/5.12.1/x86_64-linux-thread-multi /home/hermida/soft/perl/5.12.1/lib/site_perl/5.12.1 /home/hermida/soft/perl/5.12.1/lib/5.12.1/x86_64-linux-thread-multi /home/hermida/soft/perl/5.12.1/lib/5.12.1 .) at /home/hermida/soft/perl/5.12.1/lib/5.12.1/Module/Load.pm line 27. [THIS MAY BE A PROBLEM!] at /home/hermida/soft/perl/5.12.1/lib/5.12.1/CPANPLUS/Internals.pm line 204 [ERROR] Could not load source engine 'CPANPLUS::Internals::Source::SQLite' [MSG] Falling back to CPANPLUS::Internals::Source::Memory CPANPLUS::Shell::Default -- CPAN exploration and module installation (v0.9007) *** Please report bugs to <bug-cpanplus@rt.cpan.org>. *** Using CPANPLUS::Backend v0.9007. ReadLine support enabled. So I have to install DBIx::Simple as its missing this dependency. Maybe this shouldn't happen, if you have a source engine installed then it should have gotten its dependencies best, leandro perl -v This is perl 5, version 12, subversion 1 (v5.12.1) built for x86_64-linux-thread-multi uname -a Linux 2.6.33.6-147.fc13.x86_64 #1 SMP Tue Jul 6 22:32:17 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.